'use strict';

import Layout from '@/layout'
import roles from '@/constant/permissions' //引用权限值
const role = roles.supplierStat;

const supplierStatRouter = {
  path: '/stat',
  sort: 95,
  component: Layout,
  name: '供货商统计',
  redirect: '/stat/index',
  meta: {
    title: '供货商统计',
    icon: 'xdicon_rizhi',
    iconSize: 22,
  },
  children: [
    {
      path: 'index',
      name: '供货商统计',
      component: () => import ('@/viewsStat/index/index'),
      meta: {
        title: '供货商统计',
        icon: 'xdicon_rizhi',
        iconSize: 22,
        role: [role.totalCounts, role.productCycCounts, role.supplierCycCounts, role.supplierCycSales, role.productCycSales, role.productCategoryCycSales]
      }
    }
  ]
}

export default supplierStatRouter
